﻿Option Strict On
Imports System.Xml.Linq
Imports System.Windows.Media.Imaging

Public Class ImageInfo
    Public Property 画像名 As String
    Public Property タイトル As String
End Class

Partial Public Class TransitionEffectListBox
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub
    Dim xmldoc As XElement
    Private Sub TransitionEffectListBox_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        xmldoc = XElement.Load("Photo.xml")
        Dim query = From c In xmldoc.Descendants("画像名") Select c
        Dim myImageInfo As New List(Of ImageInfo)

        For Each result In query
            Dim titleLen As Integer = Len(result.Value) - 4
            Dim myTitle = Microsoft.VisualBasic.Left(result.Value, titleLen)
            With myImageInfo
                .Add(New ImageInfo With {.画像名 = "Image/" & result.Value, .タイトル = myTitle})
            End With
            ListBox1.ItemsSource = myImageInfo
        Next
    End Sub

    Private Sub ListBox1_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        If ImageShowArea.VisualStateGroup.CurrentState Is Nothing = False AndAlso ImageShowArea.VisualStateGroup.CurrentState.Name.ToString = "SlideIn2" Then
            VisualStateManager.GoToState(ImageShowArea, "SlideIn", True)
        Else
            VisualStateManager.GoToState(ImageShowArea, "SlideIn2", True)
        End If
        Dim selectImage = xmldoc.Descendants("画像名")(ListBox1.SelectedIndex).Value
        ImageShowArea.Image1.Source = New BitmapImage(New Uri("Image/" & selectImage, UriKind.Relative))
    End Sub
End Class

